Subject: FP Test File Available

From: dwells at fits.cx.nrao.edu (Don Wells)
Date: Mon, 11 Nov 1991 23:10:08 GMT

Dear FITS Friends,

Preben Grosbol (MIDAS Group  at  European Southern Observatory, Chairman
European FITS Committee, Chairman IAU FITS Working Group) is visiting
in Charlottesville today, on his way home from the data analysis
meeting in Tucson. He brought two FITS test tapes with him, a DDS DAT
tape and a Exabyte tape, with the same 11 files on each in order to
test interoperability between our various systems in the two media. I
have copied the DAT tape to the anonymous-FTP server on
fits.cx.nrao.edu [192.33.115.8] in directory FITS/TestFiles/PG91:

-rw-r--r--  1 dwells   vlb         43200 Nov 11 16:54 f01
-rw-r--r--  1 dwells   vlb          1148 Nov 11 17:02 f01.list
-rw-r--r--  1 dwells   vlb         25920 Nov 11 16:54 f02
-rw-r--r--  1 dwells   vlb          1371 Nov 11 17:02 f02.list
-rw-r--r--  1 dwells   vlb        152640 Nov 11 16:56 f03
-rw-r--r--  1 dwells   vlb          1150 Nov 11 17:02 f03.list
-rw-r--r--  1 dwells   vlb         48960 Nov 11 16:57 f04
-rw-r--r--  1 dwells   vlb          1148 Nov 11 17:03 f04.list
-rw-r--r--  1 dwells   vlb        112320 Nov 11 16:57 f05
-rw-r--r--  1 dwells   vlb          1158 Nov 11 17:03 f05.list
-rw-r--r--  1 dwells   vlb          8640 Nov 11 16:58 f06
-rw-r--r--  1 dwells   vlb          2580 Nov 11 17:03 f06.list
-rw-r--r--  1 dwells   vlb          8640 Nov 11 16:58 f07
-rw-r--r--  1 dwells   vlb          2989 Nov 11 17:03 f07.list
-rw-r--r--  1 dwells   vlb         14400 Nov 11 16:58 f08
-rw-r--r--  1 dwells   vlb          2329 Nov 11 17:03 f08.list
-rw-r--r--  1 dwells   vlb         14400 Nov 11 16:58 f09
-rw-r--r--  1 dwells   vlb          1903 Nov 11 17:03 f09.list
-rw-r--r--  1 dwells   vlb         25920 Nov 11 16:58 f10
-rw-r--r--  1 dwells   vlb          3527 Nov 11 17:03 f10.list
-rw-r--r--  1 dwells   vlb        267840 Nov 11 16:58 f11
-rw-r--r--  1 dwells   vlb          1422 Nov 11 17:03 f11.list

Remember to specify "binary" when you fetch the FITS files!

I want to call special attention to file f06, which tests the
BITPIX=-32 (single-precision IEEE floating point) datatype. This Basic
FITS file is a 1-D matrix with 38 pixels, whose values explore the
difficult cases in IEEE arithmetic. The 38 values are listed in
comments in the header, which I reproduce below (file f06.list):

SIMPLE  =                    T / Standard FITS format
BITPIX  =                  -32 / 32-bit IEEE Floating Point format
NAXIS   =                    1 / Just one dimension
NAXIS1  =                   38 / No. of values in matrix
 
ORIGIN  = 'ESO     '           / Created at ESO Garching
DATE    = '22/03/91'           / Date of creation
 
COMMENT  This is a test file containing special 32-bit IEEE FP values
COMMENT  such as:
COMMENT       00000000      ! pos. zero        +0.0
COMMENT       80000000      ! neg. zero        -0.0
COMMENT
COMMENT       00400000      ! pos. underflow    5.8774718e-39
COMMENT       007f2345      ! pos. underflow    1.1675760e-38
COMMENT       0000efce      ! pos. underflow    8.6025713e-41
COMMENT       00000001      ! pos. underflow    1.4012985e-45
COMMENT       80400000      ! neg. underflow   -5.8774718e-39
COMMENT       80372345      ! neg. underflow   -5.0636046e-39
COMMENT       8000efce      ! neg. underflow   -8.6025713e-41
COMMENT       80000001      ! neg. underflow   -1.4012985e-45
COMMENT
COMMENT       7f800000      !        Infinity
COMMENT       ff800000      !       -Infinity
COMMENT
COMMENT       7f810000      !             NaN
COMMENT       7f800001      !             NaN
COMMENT       7fffffff      !             NaN
COMMENT       ff810000      !            -NaN
COMMENT       ff800001      !            -NaN
COMMENT       ffffffff      !            -NaN
COMMENT
COMMENT       3f800000      !   1.0000000e+00
COMMENT       40000000      !   2.0000000e+00
COMMENT       40400000      !   3.0000000e+00
COMMENT       40800000      !   4.0000000e+00
COMMENT       40e00000      !   7.0000000e+00
COMMENT       43f23b1d      !   4.8446182e+02
COMMENT       3cc77e3a      !   2.4352182e-02
COMMENT       3fffffff      !   1.9999999e+00
COMMENT       00800000      !   1.1754944e-38
COMMENT       7f7fffff      !   3.4028235e+38
COMMENT
COMMENT       bf800000      !  -1.0000000e+00
COMMENT       c0000000      !  -2.0000000e+00
COMMENT       c0400000      !  -3.0000000e+00
COMMENT       c0800000      !  -4.0000000e+00
COMMENT       c0e00000      !  -7.0000000e+00
COMMENT       c3f23b1d      !  -4.8446182e+02
COMMENT       bcc77e3a      !  -2.4352182e-02
COMMENT       bfffffff      !  -1.9999999e+00
COMMENT       80800000      !  -1.1754944e-38
COMMENT       ff7fffff      !  -3.4028235e+38
 
COMMENT  So best of luck with the decoding
 
END

 =-=-= End of header. 57 cards (2 FITS records) =-=-=

 =-=-= Skipped 2880 bytes (1r0 FITS records) =-=-=

 =-=-= End-of-File, 8640 bytes in file (3r0 FITS records) =-=-=

I recommend that this file be executed with all FITS readers, and that
any errors in the file be reported to alt.sci.astro.fits so that these
tests can be definitive.

--

Donald C. Wells             Associate Scientist        dwells at nrao.edu
National Radio Astronomy Observatory                   +1-804-296-0277
520 Edgemont Road                                 Fax= +1-804-296-0278
Charlottesville, Virginia 22903-2475 USA            78:31.1W, 38:02.2N